Package Asm

## Class CondJump

- java.lang.Object
- - Asm.Instruction
  - - Asm.CondJump

-     public class CondJump
      extends Instruction

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CondJump.Op` |

  - ### Field Summary

    - ### Fields inherited from class Asm.Instruction

      `label, name`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CondJump​(CondJump.Op op, int sr1, int sr2, java.lang.String address)` | Constructeur sans label
    `CondJump​(java.lang.String label, CondJump.Op op, int sr1, int sr2, java.lang.String address)` | Constructeur

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAddress()` | Getter de l'adresse de saut
    `int` | `getSr1()` | Getter du premier registre source
    `int` | `getSr2()` | Getter du second register source
    `void` | `setAddress​(java.lang.String address)` | Setter de l'adresse de saut
    `void` | `setSr1​(int sr)` | Setter du premier registre source
    `void` | `setSr2​(int sr)` | Setter du second registre source
    `java.lang.String` | `toString()` | Conversion en String

    - ### Methods inherited from class Asm.Instruction

      `getLabel, getName, setLabel, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CondJump

          public CondJump​(java.lang.String label,
                          CondJump.Op op,
                          int sr1,
                          int sr2,
                          java.lang.String address)

      Constructeur
      Parameters:
        `label` - label de l'instruction
        `op` - type d'opération
        `sr1` - numéro du premier registre source
        `sr2` - numéro du second registre source
        `address` - adresse de saut

    - #### CondJump

          public CondJump​(CondJump.Op op,
                          int sr1,
                          int sr2,
                          java.lang.String address)

      Constructeur sans label
      Parameters:
        `op` - type d'opération
        `sr1` - numéro du premier registre source
        `sr2` - numéro du second registre source
        `address` - adresse de saut

  - ### Method Detail

    - #### getSr1

          public int getSr1()

      Getter du premier registre source
      Returns:
        int numéro du premier registre source

    - #### setSr1

          public void setSr1​(int sr)

      Setter du premier registre source
      Parameters:
        `sr` - numéro du premier registre source

    - #### getSr2

          public int getSr2()

      Getter du second register source
      Returns:
        int numéro du second registre source

    - #### setSr2

          public void setSr2​(int sr)

      Setter du second registre source
      Parameters:
        `sr` - numéro du second registre source

    - #### getAddress

          public java.lang.String getAddress()

      Getter de l'adresse de saut
      Returns:
        String adresse de saut

    - #### setAddress

          public void setAddress​(java.lang.String address)

      Setter de l'adresse de saut
      Parameters:
        `address` - adresse de saut

    - #### toString

          public java.lang.String toString()

      Conversion en String
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        String texte de l'instruction